#define BLOCK_SIZE 4096
#define RECORD_SIZE 512

#define RECORDS_PER_BLOCK (BLOCK_SIZE / RECORD_SIZE)

#define N_BLOCKS 50000
#define N_RECORDS (N_BLOCKS * RECORDS_PER_BLOCK)

#define FILE_SIZE (BLOCK_SIZE * N_BLOCKS)

#define MULTI_FACTOR 1

typedef struct {

	int fd;

} File;

File * open_for_read(char * fileName);

File * open_for_write(char * fileName);

void seek(File * file, int offset);

void close_file(File * file);

unsigned char * alloc_alligned_buffer(int size);

int read_bytes(File * file, unsigned char * buffer, int n_bytes);

int write_bytes(File * file, unsigned char * buffer, int n_bytes);

